import unittest
from unittest import TestCase

import resh.domains
from resh.domains import ConfigDomain
from resh.domains.config import reset
from resh.utils.const import CONFIG


class Testreset(unittest.TestCase):

    def test_domain_name(self):
        config = ConfigDomain()
        unittest.TestCase.assertEqual(self, config.domain_name, CONFIG)

    def test_exec(self):
        method = reset(ConfigDomain)
        method.exec()


class Testupdate(unittest.TestCase):

    def test_update(self):
        method = resh.domains.config.update(ConfigDomain)
        method.exec()


class Testupdate_bash(unittest.TestCase):

    def test_update_bash(self):
        method = resh.domains.config.update_bash(ConfigDomain)
        method.exec()


class Testupdate_nginx(TestCase):

    def test_update_nginx(self):
        method = resh.domains.config.update_nginx(ConfigDomain)
        method.exec()


class Testmigrate(TestCase):

    def test_migrate(self):
        method = resh.domains.config.migrate(ConfigDomain)
        method.exec()


if __name__ == '__main__':
    unittest.main()
