MODBUS_BOUNDS = [1200, 2400, 4800, 9600, 19200, 38400, 57600, 115200, 230400, 460800, 921600]
MODBUS_PARITY = ['none', 'even', 'odd']

""" Адреса модулей """
BROADCAST = 0x00    # адрес 0 - широковещательная рассылка, при условии CMD=1
                    # адрес 1..31 - интерфейсные модули

""" Классы модулей """
CLASS_BROADCAST = 0x00
CLASS_DALI = 0x01
CLASS_DALI_WIRELESS = 0x08

""" Типы модулей """
TYPES = {
    CLASS_BROADCAST:     dict(name='BRDCT', desc='Тип, принимаемый всеми модулями, при условии CMD=1'),
    CLASS_DALI:          dict(name='RPMDA', desc='Восьмиканальный модуль DALI'),
    CLASS_DALI_WIRELESS: dict(name='R2MDAW', desc='DALI+'),
}
